Get Cash Flow Activity
curl --request GET \
--url https://api.meetcampfire.com/ca/api/get_cash_flow_activityimport requests
url = "https://api.meetcampfire.com/ca/api/get_cash_flow_activity"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.meetcampfire.com/ca/api/get_cash_flow_activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetcampfire.com/ca/api/get_cash_flow_activity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.meetcampfire.com/ca/api/get_cash_flow_activity"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.meetcampfire.com/ca/api/get_cash_flow_activity")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetcampfire.com/ca/api/get_cash_flow_activity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"transaction_activity": {
"2024-01-01": {
"total_debit": 125000,
"total_credit": -98000
},
"2024-02-01": {
"total_debit": 130000,
"total_credit": -102000
}
}
}{
"error": "<string>"
}Financial Statements
Get Cash Flow Activity
GET
/
ca
/
api
/
get_cash_flow_activity
Get Cash Flow Activity
curl --request GET \
--url https://api.meetcampfire.com/ca/api/get_cash_flow_activityimport requests
url = "https://api.meetcampfire.com/ca/api/get_cash_flow_activity"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.meetcampfire.com/ca/api/get_cash_flow_activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetcampfire.com/ca/api/get_cash_flow_activity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.meetcampfire.com/ca/api/get_cash_flow_activity"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.meetcampfire.com/ca/api/get_cash_flow_activity")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetcampfire.com/ca/api/get_cash_flow_activity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"transaction_activity": {
"2024-01-01": {
"total_debit": 125000,
"total_credit": -98000
},
"2024-02-01": {
"total_debit": 130000,
"total_credit": -102000
}
}
}{
"error": "<string>"
}Query Parameters
Available options:
daily, monthly, quarterly, weekly, yearly Latest date (inclusive) for which to retrieve data. Defaults to end of current month
Entity ID(s) to scope the report. Can be repeated (?entity=1&entity=2) or JSON array
If true, includes all data of children entities in consolidation
Earliest date (inclusive) for which to retrieve data. Defaults to six months ago
Response
Show child attributes
Show child attributes